| Home | Libraries | People | FAQ | More

## Function safe_dump_to

boost::stacktrace::safe_dump_to — Opens a file and rewrites its content with current function call sequence if such operations are async signal safe.

## Synopsis

    // In header: <boost/stacktrace/safe_dump_to.hpp>

    std::size_t safe_dump_to(std::size_t skip, std::size_t max_depth,
                             const char * file);

## Description

Complexity: O(N) where N is call sequence length, O(1) if BOOST_STACKTRACE_USE_NOOP is defined.

Async-Handler-Safety: Safe.

Parameters:

`file` | File to store current function call sequence.
`max_depth` | Max call sequence depth to collect.
`skip` | How many top calls to skip and do not store.

Returns: | Stored call sequence depth including terminating zero frame.